// ##############################################################################
// #													
// # Author:		N. Rixecker
// # Copyright:		Plan Software GmbH, Saarbrücken
// # 
// # Last Change:	2008.09.03 <NR>
// #													
// ##############################################################################

// # ============================================================================
// # LinkConfigurationFromStartScreen
// # ============================================================================

function LinkConfigurationFromStartScreen ()
{
	var strCfgObj = document.getElementById('IDC_EDIT_CFG_OBJECT').value;	

	// Konfiguration mit eingegebene CFG-Object starten
	createNewHiddenFormField('EKSUBMITEVENTPAR', strCfgObj);		
	ekSubmit("IDC_LINK_CONFIGURATION");	
}


// # ============================================================================
// # InitConfig
// # ============================================================================

function	InitConfig()
{
	// Initialwerte holen
    EasyKat.Configuration.app.startRequest("ajax/ConfigInitialLoad");
}


// # ============================================================================
// # DisableRClick
// # ============================================================================

function DisableRClick()
{
	addEvent(document, "contextmenu", disablecontextmenu, false);
}


// # ============================================================================
// # disablecontextmenu
// # ============================================================================

function disablecontextmenu(evt)
{
	return false;
}


// # ============================================================================
// # getGUIVersion
// # ============================================================================

function getGUIVersion()
{
	return document.isycat.IDC_EASYGUI_VERSION.value;
}

function	ActivateIFrame(strIFrameID)
{
	zIndex = 1000000;
	$(strIFrameID).parentNode.style.display = '';
	$(strIFrameID).parentNode.style.visibility = 'visible';
	// BringInFront($(strIFrameID).parentNode, 1000000);
	$(strIFrameID).parentNode.style.zIndex = zIndex;
}

function	ToggleIFrame(strEvent, strTarget)
{
	// alert(strTarget);

	if (parent.document.getElementById ('FLAG_MERKLIST_VISIBLE').value != "true")
	{
		var aTabCntrl = dialog['IDC_ZA_TABS'];
		aTabCntrl.hide();

		parent.document.getElementById ('FLAG_MERKLIST_VISIBLE').value = "true";
		ActivateIFrame(strTarget);

		if (parent.document.getElementById ('FLAG_MERKLIST_LOADET').value != "true")
		{
			parent.document.getElementById ('FLAG_MERKLIST_LOADET').value = "true";
			ekSubmit(strEvent, strTarget);
		}
	}
	else
	{
		closeIFrame (strTarget);
	}
}


function	ShowIFrame(strEvent, strTarget)
{
// alert ("ShowIFrame");

	ActivateIFrame(strTarget);
	ekSubmit(strEvent, strTarget);	
}


function	closeIFrame(strIFrameID)
{
	var aTabCntrl = parent.dialog['IDC_ZA_TABS'];
	aTabCntrl.show();

	// parent.document.getElementById('IF_VERSION_IFRAME').style.visibility='hidden';
	top.$(strIFrameID).parentNode.style.display = 'none';

	parent.document.getElementById ('FLAG_MERKLIST_VISIBLE').value = "false";
	if (strIFrameID != "IF_WEBUPDATE")
	{
		ZAU_UtilsSaveAsHide ();
	}
}
